import 'package:diplomaticquarterapp/pages/BookAppointment/components/SearchByClinic.dart';
import 'package:diplomaticquarterapp/pages/BookAppointment/components/SearchByDoctor.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:flutter/material.dart';

class Search extends StatefulWidget {
  @override
  _SearchState createState() => _SearchState();
}

class _SearchState extends State<Search> with SingleTickerProviderStateMixin {
  TabController _tabController;

  @override
  void initState() {
    _tabController = new TabController(length: 2, vsync: this);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          bottom: TabBar(
            tabs: [
              Tab(text: TranslationBase.of(context).clinicName),
              Tab(
                text: TranslationBase.of(context).doctorName,
              )
            ],
            controller: _tabController,
          ),
          title: Text(TranslationBase.of(context).bookAppo,
              style: TextStyle(color: Colors.white)),
        ),
        body: TabBarView(
            physics: NeverScrollableScrollPhysics(),
            children: [SearchByClinic(), SearchByDoctor()],
            controller: _tabController));
  }
}
